import request from '@/utils/request'

// 查询物资库存记录列表
export function listGoodsRecord(query) {
  return request({
    url: '/erms/goodsRecord/list',
    method: 'get',
    params: query
  })
}

// 查询物资库存记录详细
export function getGoodsRecord(id) {
  return request({
    url: '/erms/goodsRecord/' + id,
    method: 'get'
  })
}

// 新增物资库存记录
export function addGoodsRecord(data) {
  return request({
    url: '/erms/goodsRecord',
    method: 'post',
    data: data
  })
}

// 修改物资库存记录
export function updateGoodsRecord(data) {
  return request({
    url: '/erms/goodsRecord',
    method: 'put',
    data: data
  })
}

// 删除物资库存记录
export function delGoodsRecord(id) {
  return request({
    url: '/erms/goodsRecord/' + id,
    method: 'delete'
  })
}

// 导出物资库存记录
export function exportGoodsRecord(query) {
  return request({
    url: '/erms/goodsRecord/export',
    method: 'get',
    params: query
  })
}